function [ processedImage ] = threshold_procFilter( rfImage,argString,handles )
%TEMPLATE_PROCFILTER Summary of this function goes here
%   Detailed explanation goes here

    [low,rest] = strtok(argString,',');
    low = str2double(low);
    high = strtok(rest,',');
    high = str2double(high);
    
    range = max(max(rfImage)) - min(min(rfImage));
    processedImage = rfImage - min(min(rfImage));
    processedImage = min(max(processedImage,low/100*range),high/100*range);
    processedImage = processedImage - min(min(processedImage));
    maximum = max(max(processedImage));
    processedImage = round(processedImage*255/maximum)+1;
end

